Get Vpc Connectivity Profile
Retrieve a VPC Connectivity Profile by ID with optional Supervisor compatibility check
NSX cluster ID
Project ID
VPC Connectivity Profile ID
Query parameter to check VPC Connectivity Profile compatibility with Supervisor enablement. If set to true, the response will include supervisor_incompatibility_reasons field with localized error messages if the VPC Connectivity Profile is incompatible. If set to false or not provided, only the VPC Connectivity Profile details are returned.
Ok
{
"id": "string",
"displayName": "string",
"path": "string",
"isDefault": false,
"transitGatewayPath": "string",
"supervisorIncompatibilityReasons": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
]
}
ID of the NSX VPC Connectivity Profile
Display Name of the NSX VPC Connectivity Profile
Policy Path of the NSX VPC Connectivity Profile
Flag indicates whether VPC Connectivity Profile is default or not.
Policy Path of Transit Gateway Attached to this profile
List of error responses explaining why the VPC Connectivity Profile is not compatible with Supervisor enablement. Each error response contains a localized message and optional remediation message. This field is only populated when supervisor_compat_check query parameter is set to true and the VPC Connectivity Profile is incompatible with Supervisor enablement.
VPC Connectivity Profile not found
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
InternalServerError
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
curl -H 'Authorization: <value>' https://{api_host}/v1/nsxt-clusters/{nsxtClusterId}/projects/{projectId}/vpc-connectivity-profiles/{vpcConnectivityProfileId}